﻿// Copyright © 2011 Paul Vanukoff (pvanukoff@gmail.com)

using System;

namespace Bravura.Native.PluginBase.Waveforms
{
	/// <summary>
	/// Sine waveform.
	/// </summary>
	public class SineWaveform : Waveform
	{
		#region Waveform Implementation

		public override double GetValue(double pos)
		{
			return Math.Sin(Utilities.TwoPi * pos);
		}

		#endregion
	}
}
