﻿using System.Windows.Controls;
using System.Windows.Media;

namespace Bravura.Editing.Common.Controls
{
	public partial class ItemIcon : UserControl
	{
		#region Properties

		public Color ItemColor
		{
			set { IconBorder.Background = new SolidColorBrush(value); }
		}

		public string ItemType
		{
			set { TypeLabel.Content = value; }
		}

		public string ItemId
		{
			set { IdLabel.Content = value; }
		}

		public string ItemName
		{
			set { NameLabel.Content = value; }
		}

		#endregion

		public ItemIcon()
		{
			InitializeComponent();
		}

	}

	public class ItemIcon<T> : ItemIcon
	{
		public T WrappedItem
		{
			get;
			set;
		}
	}
}
