﻿using System;
using System.Diagnostics;

namespace Bravura.Editing.Common
{
	/// <summary>
	/// Static helper class.
	/// </summary>
	public static class Utilities
	{
		/// <summary>
		/// Opens the requested page in the system default browser.
		/// </summary>
		public static void BrowseToWebPage(Uri uri)
		{
			if (uri.Scheme == "http")
			{
				string navigateUri = uri.ToString();
				Process.Start(new ProcessStartInfo(navigateUri));
			}
		}
	}
}
