﻿// Copyright © 2011 Paul Vanukoff (pvanukoff@gmail.com)

using System;

namespace Bravura.Native.PluginBase.Waveforms
{
	/// <summary>
	/// Parabolic waveform.
	/// </summary>
	public class ParabolicWaveform : Waveform
	{
		#region Waveform Implementation

		public override double GetValue(double pos)
		{
			return (pos - 0.5) * (pos - 0.5) - (0.25 / 3.0);
		}

		#endregion
	}
}
