﻿// Copyright © 2011 Paul Vanukoff (pvanukoff@gmail.com)

using Bravura.Core.PluginLib;
namespace Bravura.Native.PluginBase
{
	/// <summary>
	/// Base class for a Send plugin.
	/// </summary>
	public abstract class Send : AudioPlugin
	{
		protected double _gain = 1.0;

		protected Send(IAudioPluginHost host, int sampleRate) : base(host, sampleRate)
		{
		}

		public void SetGain(double gain)
		{
			_gain = gain * gain;
		}
	}
}
